PMAP_PAGE_EXISTS_QUICK(9)

NAME
pmap_page_exists_quick - determine if a page exists in a physical map

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/pmap.h>
boolean_t
pmap_page_exists_quick(pmap_t pmap, vm_page_t m);

DESCRIPTION
The pmap_page_exists_quick() function is used to quickly determine if the page m exists in the physical map pmap. It is typically called from the VM paging code.

IMPLEMENTATION NOTES
The PV count used above may be changed upwards or downwards in future; it is only necessary that TRUE be returned for a small subset of pmaps for proper page aging.

RETURN VALUES
The pmap_page_exists_quick() returns TRUE only if the PV entry for the physical map pmap is one of the first 16 PVs linked from the page m.

SEE ALSO
pmap(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.